
Katello - Bug #4077

Empty collections in the API return an Error message to the user

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you attempt to access an valid API endpoint for a collection (e.g. api/providers or products) and the collection is empty, the user is

presented with an error message seen below. This is the same error message shown if a user attempts to access an non-existent

entity (e.g. api/foo/bar). SInce this is a collection in the API, the user should be presented with an empty list and not an error.

{

        displayMessage: "Resource not found on the server",

        errors: [

            "Not found" 

        ]

    }

 Created: ehelms on June 17, 2013 15:46 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2505

History

#1 - 06/03/2014 08:18 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

Resolved as part of enginification and congruence of Foreman and Katello APIs.

#2 - 06/05/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
